Subject: Re: mmotm 2021-11-18-15-47 uploaded (<linux/proc_fs.h>)

From: Andrew Morton <[email-masked]>
Date: Thu, 18 Nov 2021 17:04:26 -0800

On Thu, 18 Nov 2021 16:53:30 -0800 Randy Dunlap <[email-masked]> wrote:

> On 11/18/21 3:47 PM, [email-masked] wrote:
> > The mm-of-the-moment snapshot 2021-11-18-15-47 has been uploaded to
> > 
> >     https://www.ozlabs.org/~akpm/mmotm/
> > 
> > mmotm-readme.txt says
> > 
> > README for mm-of-the-moment:
> > 
> > https://www.ozlabs.org/~akpm/mmotm/
> > 
> > This is a snapshot of my -mm patch queue.  Uploaded at random hopefully
> > more than once a week.
> > 
> > You will need quilt to apply these patches to the latest Linus release (5.x
> > or 5.x-rcY).  The series file is in broken-out.tar.gz and is duplicated in
> > https://ozlabs.org/~akpm/mmotm/series
> > 
> > The file broken-out.tar.gz contains two datestamp files: .DATE and
> > .DATE-yyyy-mm-dd-hh-mm-ss.  Both contain the string yyyy-mm-dd-hh-mm-ss,
> > followed by the base kernel version against which this patch series is to
> > be applied.
> 
> Hi,
> 
> I get hundreds of warnings from <linux/proc_fs.h>:
> 
> from proc-make-the-proc_create-stubs-static-inlines.patch:
> 
> ../include/linux/proc_fs.h:186:2: error: parameter name omitted
> ../include/linux/proc_fs.h:186:32: error: parameter name omitted
> ../include/linux/proc_fs.h:186:63: error: parameter name omitted

Nobody uses PROC_FS=n ;)

--- a/include/linux/proc_fs.h~proc-make-the-proc_create-stubs-static-inlines-fix
+++ a/include/linux/proc_fs.h
@@ -179,12 +179,14 @@ static inline struct proc_dir_entry *pro
 #define proc_create_single(name, mode, parent, show) ({NULL;})
 #define proc_create_single_data(name, mode, parent, show, data) ({NULL;})
 
-static inline struct proc_dir_entry *proc_create(
-	const char *, umode_t, struct proc_dir_entry *, const struct proc_ops *)
+static inline struct proc_dir_entry *
+proc_create(const char *name, umode_t mode, struct proc_dir_entry *parent,
+	    const struct proc_ops *proc_ops)
 { return NULL; }
 
-static inline struct proc_dir_entry *proc_create_data(
-	const char *, umode_t, struct proc_dir_entry *, const struct proc_ops *, void *)
+static inline struct proc_dir_entry *
+proc_create_data(const char *name, umode_t mode, struct proc_dir_entry *parent,
+		 const struct proc_ops *proc_ops, void *data)
 { return NULL; }
 
 static inline void proc_set_size(struct proc_dir_entry *de, loff_t size) {}
_